commit:     089a1835c9c9a8afa8fd61886702b25aba12b067
Author:     Rémi Cardona <remi <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 17 08:11:55 2020 +0000
Commit:     Rémi Cardona <remi <AT> gentoo <DOT> org>
CommitDate: Fri Jan 17 08:14:24 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=089a1835

gnome-extra/gucharmap: fix build with unicode-data 12.1.0

Closes: https://bugs.gentoo.org/705416
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Rémi Cardona <remi <AT> gentoo.org>

 .../files/gucharmap-update_to_unicode_12.1.patch   | 25 ++++++++
 gnome-extra/gucharmap/gucharmap-12.0.1-r1.ebuild   | 72 ++++++++++++++++++++++
 2 files changed, 97 insertions(+)

diff --git a/gnome-extra/gucharmap/files/gucharmap-update_to_unicode_12.1.patch 
b/gnome-extra/gucharmap/files/gucharmap-update_to_unicode_12.1.patch
new file mode 100644
index 00000000000..60dbb7af58c
--- /dev/null
+++ b/gnome-extra/gucharmap/files/gucharmap-update_to_unicode_12.1.patch
@@ -0,0 +1,25 @@
+diff -Naur gucharmap-12.0.1-orig/gucharmap/gucharmap-unicode-info.h 
gucharmap-12.0.1/gucharmap/gucharmap-unicode-info.h
+--- gucharmap-12.0.1-orig/gucharmap/gucharmap-unicode-info.h   2019-03-07 
21:21:27.000000000 +0100
++++ gucharmap-12.0.1/gucharmap/gucharmap-unicode-info.h        2019-11-14 
17:43:55.007583238 +0100
+@@ -51,7 +51,8 @@
+   GUCHARMAP_UNICODE_VERSION_10_0,
+   GUCHARMAP_UNICODE_VERSION_11_0,
+   GUCHARMAP_UNICODE_VERSION_12_0,
+-  GUCHARMAP_UNICODE_VERSION_LATEST = GUCHARMAP_UNICODE_VERSION_12_0 /* 
private, will move forward with each revision */
++  GUCHARMAP_UNICODE_VERSION_12_1,
++  GUCHARMAP_UNICODE_VERSION_LATEST = GUCHARMAP_UNICODE_VERSION_12_1 /* 
private, will move forward with each revision */
+ } GucharmapUnicodeVersion;
+ 
+ /* return values are read-only */
+diff -Naur gucharmap-12.0.1-orig/gucharmap/gucharmap-window.c 
gucharmap-12.0.1/gucharmap/gucharmap-window.c
+--- gucharmap-12.0.1-orig/gucharmap/gucharmap-window.c 2019-03-07 
21:21:27.000000000 +0100
++++ gucharmap-12.0.1/gucharmap/gucharmap-window.c      2019-11-14 
17:45:11.145809820 +0100
+@@ -454,7 +454,7 @@
+   gtk_show_about_dialog (GTK_WINDOW (guw),
+                        "program-name", _("GNOME Character Map"),
+                        "version", VERSION,
+-                       "comments", _("Based on the Unicode Character Database 
12.0.0"),
++                       "comments", _("Based on the Unicode Character Database 
12.1.0"),
+                        "copyright", "Copyright © 2004 Noah Levitt\n"
+                                     "Copyright © 1991–2019 Unicode, Inc.\n"
+                                     "Copyright © 2007–2019 Christian Persch\n"

diff --git a/gnome-extra/gucharmap/gucharmap-12.0.1-r1.ebuild 
b/gnome-extra/gucharmap/gucharmap-12.0.1-r1.ebuild
new file mode 100644
index 00000000000..96e97ba7eec
--- /dev/null
+++ b/gnome-extra/gucharmap/gucharmap-12.0.1-r1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+VALA_USE_DEPEND="vapigen"
+
+inherit gnome2 vala
+
+DESCRIPTION="Unicode character map viewer and library"
+HOMEPAGE="https://wiki.gnome.org/Apps/Gucharmap";
+
+LICENSE="GPL-3+"
+SLOT="2.90"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86"
+
+IUSE="debug +introspection test vala"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="vala? ( introspection )"
+
+UNICODE_VERSION="12.1"
+
+COMMON_DEPEND="
+       =app-i18n/unicode-data-${UNICODE_VERSION}*
+       >=dev-libs/glib-2.32:2
+       >=x11-libs/pango-1.2.1[introspection?]
+       >=x11-libs/gtk+-3.16:3[introspection?]
+       media-libs/freetype:2
+       introspection? ( >=dev-libs/gobject-introspection-0.9.0:= )
+"
+RDEPEND="${COMMON_DEPEND}
+       !<gnome-extra/gucharmap-3:0
+"
+DEPEND="${RDEPEND}
+       dev-util/desktop-file-utils
+       dev-util/glib-utils
+       >=dev-util/gtk-doc-am-1
+       >=dev-util/intltool-0.40
+       dev-util/itstool
+       sys-devel/gettext
+       virtual/pkgconfig
+       test? ( app-text/docbook-xml-dtd:4.1.2 )
+       vala? ( $(vala_depend) )
+"
+
+src_prepare() {
+       eapply "${FILESDIR}/${PN}-update_to_unicode_12.1.patch"
+       eapply_user
+
+       # prevent file collisions with slot 0
+       sed -e 
"s:GETTEXT_PACKAGE=gucharmap$:GETTEXT_PACKAGE=gucharmap-${SLOT}:" \
+               -i configure.ac configure || die "sed configure.ac configure 
failed"
+
+       # avoid autoreconf
+       sed -e 's/-Wall //g' -i configure || die "sed failed"
+       sed -e 's/unicode_version = 12.0.0/unicode_version = 12.1.0/g' \
+               -i gucharmap/Makefile.am gucharmap/Makefile.in || die "sed 
failed"
+
+       use vala && vala_src_prepare
+       gnome2_src_prepare
+}
+
+src_configure() {
+       # unihan is not really conditional
+       # https://bugzilla.gnome.org/show_bug.cgi?id=768210#c5
+       # https://gitlab.gnome.org/GNOME/gucharmap/issues/13
+       gnome2_src_configure \
+               --disable-static \
+               --with-unicode-data=/usr/share/unicode-data \
+               $(usex debug --enable-debug=yes ' ') \
+               $(use_enable introspection) \
+               $(use_enable vala)
+}

Reply via email to